"use strict";

this.name = "fighter_hud2";
this.author = "spara";
this.copyright = "2014 spara";
this.license     = "CC BY-NC-SA 4.0"; 

this.$strings = ["adder-player", "anaconda-player", "asp-player", "boa-player", "boa-mk2-player", "boa_mk2-player", "cobramk1-player", "cobra_mk1-player", "cobra3-player", "cobra_mk3-player", "ferdelance-player", "ferdelance2013-player", "gecko-player", "krait-player", "mamba-player", "moray-player", "morayMED-player", "python-player", "sidewinder-player", "transporter-player"];

this.$eqKeys = ["ADDER", "ANACONDA", "ASP2", "BOA", "BOA2", "BOA2", "COBRA1", "COBRA1", "COBRA3", "COBRA3", "FERDELANCE", "FERDELANCE", "GECKO", "KRAIT", "MAMBA", "MORAY", "MORAY", "PYTHON", "SIDEWINDER", "TRANSPORTER"];

this.startUp = function() {
	player.ship.hud =  this.name + ".plist";
	var h = worldScripts.hudselector;
	if( h ) h.$HUDSelectorAddHUD("Fighter HUD Mk. II ", this.name); //name of plist without extension
}

this.startUpComplete = function() {
	this.playerBoughtNewShip(player.ship);
}

this.playerBoughtNewShip = function(ship) {
	for (var i = 0; i < this.$strings.length; i++) {
		if (ship.dataKey.toLowerCase().indexOf(this.$strings[i]) !== -1) {
			ship.awardEquipment("EQ_FHUD_" + this.$eqKeys[i]);
			break;
		}
	}
	if (i === this.$strings.length) 
		ship.awardEquipment("EQ_FHUD_OOLITE");
}
